# IPFS Docs <!-- omit in toc -->

- [API Docs](#api-docs)
- [How tos and other documentation](#how-tos-and-other-documentation)
- [Development documentation](#development-documentation)

## API Docs

`ipfs` can run as part of your program (an in-process node) or as a standalone daemon process that can be communicated with via an HTTP RPC API using the [`ipfs-http-client`](../packages/ipfs-http-api) module.

Whether accessed directly or over HTTP, both methods support the full [Core API](#core-api).  In addition other methods are available to construct instances of each module, etc.

* [Core API docs](./core-api/README.md)
* [IPFS API](../packages/ipfs/README.md)
* [IPFS-HTTP-CLIENT API](../packages/ipfs-http-client/README.md)

## How tos and other documentation

* [How to run js-IPFS in the browser](./BROWSERS.md)
* [js-IPFS configuration options](./CONFIG.md)

## Development documentation

* [Release issue template](./RELEASE_ISSUE_TEMPLATE.md)
* [Early testers](./EARLY_TESTERS.md)
* [Releases](./RELEASES.md)
